#include <stdio.h>
#include <jstring.h>
#include <jctype.h>

JMOJI chars[] = {
    '.',
    0x9941,
    0xA4,
    0xA6
};

#define SIZE sizeof( chars ) / sizeof( JMOJI )

void main()
  {
    int   i;

    for( i = 0; i < SIZE; i++ ) {
      printf( "Char does %shave a valid first byte\n",
	    ( iskanji( chars[i]>>8 ) ) ? "" : "not " );
    }
  }
//************ Sample program output ************
//Char does not have a valid first byte
//Char does have a valid first byte
//Char does not have a valid first byte
//Char does not have a valid first byte
